#pragma once

#ifndef p_fur_h
#define p_fur_h

#include <math.h>
#include "shader.h"

miVector shiftTangent(miVector T, miVector n, miScalar amt);
miColor p_fur_specular(miColor *spec1, miScalar exp1, miColor *spec2, miScalar exp2,
		miVector *hairN, miVector *V, miVector *T, miVector *dir, miColor *light_col);
miColor p_fur_diffuse(miColor *skinColor, miScalar hair_density,
	  miScalar f_backwardScater, miScalar f_forwardScatter,	miScalar f_hairOverHairShad, miScalar f_shadowAtten, miScalar f_startShadowCo,
	  miScalar f_endShadowCo, miScalar hair_area, miVector *hairN, miVector *V, miVector *T, miVector *dir, miColor *light_col, miScalar dot_nl);
miColor p_fur(miColor *skinColor, miColor *hairColor, miColor *spec1, miScalar exp1, miColor *spec2, miScalar exp2, miScalar hair_density,
	  miScalar f_backwardScater, miScalar f_forwardScatter,	miScalar f_hairOverHairShad, miScalar f_shadowAtten, miScalar f_startShadowCo,
	  miScalar f_endShadowCo, miScalar bup, miScalar hair_area, miVector *hairN, miVector *V, miVector *T, miVector *dir, miColor *light_col, miScalar dot_nl);

#endif  // p_fur_h
