#pragma once

#ifndef p_occlusion_h
#define p_occlusion_h

#ifdef HPUX
#pragma OPT_LEVEL 1	/* workaround for HP/UX optimizer bug, +O2 and +O3 */
#endif

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>		/* for abs */
#include <float.h>		/* for FLT_MAX */
#include <math.h>
#include <string.h>
#include <assert.h>
#include "shader.h"
#include "p_static_param.h"

#define miEPS 0.0001

#ifdef DEBUG
#define miASSERT assert
#else
#define miASSERT(x)
#endif

miBoolean p_occlusion(miColor *result, miVector *bent_result, miState *state, struct static_param *sp, miColor *base_color, miColor *dirt_color, miVector basis, miScalar blend);

#endif  // p_occlusion_h
